#
# spec file for package python-python-multipart
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-python-multipart
Version:        0.0.7
Release:        1.1
License:        Apache-2.0
Summary:        Python streaming multipart parser
URL:            http://github.com/andrew-d/python-multipart
Source:         https://files.pythonhosted.org/packages/source/p/python-multipart/python_multipart-%{version}.tar.gz
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
A streaming multipart parser for Python.

%prep
%autosetup -p1 -n python_multipart-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/multipart
%{python_sitelib}/python_multipart-%{version}.dist-info

%changelog
* Tue Feb  6 2024 pgajdos@suse.com
- version update to 0.0.7
  0.0.7 (2024-02-03)
  * Refactor header option parser to use the standard library instead of a custom RegEx #75.
  [bsc#1219610] CVE-2024-24762
  0.0.6 (2023-02-27)
  * Migrate package installation to pyproject.toml (PEP 621) #54.
  * Use yaml.safe_load instead of yaml.load #46.
  * Add support for Python 3.11, drop EOL 3.6 #51.
  * Add support for Python 3.8-3.10, drop EOL 2.7-3.5 #42.
  * QuerystringParser: don't raise an AttributeError in __repr__ #30.
- deleted patches
  - python-python-multipart-no-mock.patch (upstreamed)
  - python-python-multipart-no-six.patch (upstreamed)
  - support-pyyaml-6.patch (upstreamed)
* Tue Jun 13 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Jan  4 2023 Ben Greiner <code@bnavigator.de>
- Really don't require six
- Move to PEP517 build
* Mon Dec 12 2022 pgajdos@suse.com
- do not require six
- added patches
  fix https://github.com/andrew-d/python-multipart/commit/c54ad6006bacc77623864ec8e5c96bfd32230e01
  + python-python-multipart-no-six.patch
* Fri Apr  8 2022 pgajdos@suse.com
- do not require python-mock for build
- added patches
  fix https://github.com/andrew-d/python-multipart/commit/8cff1aac7479fbb69087e355f66315b21640bab0
  + python-python-multipart-no-mock.patch
* Fri Feb  4 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add patch support-pyyaml-6.patch:
  * Support PyYAML 6.0+
* Sat Jul 25 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.0.5
